[OPEN] Polybar crashes after update on next startup

Post Reply
User avatar
muttley
Crewman
Posts: 15
Joined: Tue Jun 26, 2018 12:17 pm
Great Britain
[OPEN] Polybar crashes after update on next startup

Post by muttley » Tue Apr 07, 2020 7:48 pm

I found this today, when I updated I got an update to jsoncpp from version 1.9.1.x to 1.9.2.x it stopped Polybar running at the next startup.

As a temporary measure I used the downgrade tool to downgrade the package back, and Polybar works again.

I don't know if anyone has a better solution, but at least this gets your bar up and running again.

User avatar
erikdubois
Captain
Posts: 3130
Joined: Tue Nov 07, 2017 3:45 pm
Location: Belgium
Contact:
Belgium
Re: [OPEN] Polybar crashes after update on next startup

Post by erikdubois » Tue Apr 07, 2020 8:14 pm

Polybar has the tendency to fail from time to time.

First build it yourself on your computer

Code: Select all

yay -S polybar
Get it from AUR and not from our ArcoLinux repo when this happens.

Then see if you can upgrade the other package if polybar works again.
Learn, have fun and enjoy.
But first use the power of the Arch Wiki
use the tutorials on https://www.youtube.com/erikdubois
then use the power of google
then use the power of our moderators.


Post Reply

Return to “BYOI ArcoLinuxB Bspwm”